- Qt 5.15
- Qt GUI
- C++ Classes
- QColorTransform
- Qt 5.15.19 Reference Documentation

# QColorTransform Class

The QColorTransform class is a transformation between color spaces. More...

Header: | #include <QColorTransform>
qmake: | QT += gui
Since: | Qt 5.14

This class was introduced in Qt 5.14.

- List of all members, including inherited members

## Public Functions

QRgb | map(QRgb argb) const
QRgba64 | map(QRgba64 rgba64) const
QColor | map(const QColor &color) const

## Detailed Description

QColorTransform is an instantiation of a transformation between color spaces. It can be applied on color and pixels to convert them from one color space to another.

Setting up a QColorTransform takes some preprocessing, so keeping around QColorTransforms that you need often is recommended, instead of generating them on the fly.

## Member Function Documentation

### QRgb QColorTransform::map(QRgb argb) const

Applies the color transformation on the QRgb value argb.

The input should be opaque or unpremultiplied.

### QRgba64 QColorTransform::map(QRgba64 rgba64) const

Applies the color transformation on the QRgba64 value rgba64.

The input should be opaque or unpremultiplied.

### QColor QColorTransform::map(const QColor &color) const

Applies the color transformation on the QColor value color.